# system.h File Reference

`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <stdio.h>`
`#include <time.h>`
`#include <strings.h>`
`#include <errno.h>`
`#include <sys/file.h>`

Go to the source code of this file.

## Data Structures
struct | our_mntent
## Defines
#define | major(dev) (((dev) >> 8) & 0xff)
#define | minor(dev) ((dev) & 0xff)
#define | makedev(maj, min) (((maj) << 8) | (min))
#define | EXIT_FAILURE 1
#define | SEEK_SET 0
#define | SEEK_CUR 1
#define | SEEK_END 2
#define | F_OK 0
#define | X_OK 1
#define | W_OK 2
#define | R_OK 4
#define | dirent direct
#define | NLENGTH(direct) ((direct)->d_namlen)
#define | __progname program_name
#define | setprogname(pn)
#define | setlocale(Category, Locale)
#define | bindtextdomain(Domain, Directory)
#define | textdomain(Domain)
#define | _(Text) Text
#define | dgettext(DomainName, Text) Text
#define | N_(Text) Text
#define | S_IFSOCK (0xc000)
#define | S_ISLNK(mode) ((mode & 0xf000) == S_IFLNK)
#define | S_ISSOCK(mode) ((mode & 0xf000) == S_IFSOCK)
#define | lchown chown
#define | our_mntent struct our_mntent
#define | GETMNTENT_ONE 1
#define | GETMNTENT_TWO 0
#define | MOUNTED "/etc/mnttab"
## Functions
char * | memchr ()
char * | stpcpy (char *dest, const char *src)
char * | stpncpy (char *dest, const char *src, size_t n)
char * | getenv (const char *name)
char * | realpath (const char *path, char resolved_path[])
char * | alloca ()
void * | xmalloc (size_t size)
void * | xcalloc (size_t nmemb, size_t size)
void * | xrealloc (void *ptr, size_t size)
char * | xstrdup (const char *str)
void * | vmefail (size_t size)
int | setenv (const char *name, const char *value, int replace)
void | unsetenv (const char *name)
struct our_mntent * | getmntent (FILE *filep)
## Variables
int | errno
const char * | program_name

## Detailed Description

Definition in file system.h.

## Define Documentation

#define _ | ( | Text |  | ) | Text

Definition at line 363 of file system.h.

#define __progname program_name

Definition at line 330 of file system.h.

#define bindtextdomain | ( | Domain,
|  | Directory |  | ) |

Definition at line 360 of file system.h.

#define dgettext | ( | DomainName,
|  | Text |  | ) | Text

Definition at line 365 of file system.h.

#define dirent direct

Definition at line 147 of file system.h.

#define EXIT_FAILURE 1

Definition at line 122 of file system.h.

#define F_OK 0

Definition at line 137 of file system.h.

#define GETMNTENT_ONE 1

Definition at line 568 of file system.h.

#define GETMNTENT_TWO 0

Definition at line 569 of file system.h.

#define lchown chown

Definition at line 531 of file system.h.

#define major | ( | dev |  | ) | (((dev) >> 8) & 0xff)

Definition at line 62 of file system.h.

#define makedev | ( | maj,
|  | min |  | ) | (((maj) << 8) | (min))

Definition at line 64 of file system.h.

#define minor | ( | dev |  | ) | ((dev) & 0xff)

Definition at line 63 of file system.h.

#define MOUNTED "/etc/mnttab"

Definition at line 582 of file system.h.

#define N_ | ( | Text |  | ) | Text

Definition at line 368 of file system.h.

#define NLENGTH | ( | direct |  | ) | ((direct)->d_namlen)

Definition at line 148 of file system.h.

#define our_mntent struct our_mntent

Definition at line 566 of file system.h.

#define R_OK 4

Definition at line 140 of file system.h.

#define S_IFSOCK (0xc000)

Definition at line 491 of file system.h.

#define S_ISLNK | ( | mode |  | ) | ((mode & 0xf000) == S_IFLNK)

Definition at line 495 of file system.h.

#define S_ISSOCK | ( | mode |  | ) | ((mode & 0xf000) == S_IFSOCK)

Definition at line 499 of file system.h.

#define SEEK_CUR 1

Definition at line 133 of file system.h.

#define SEEK_END 2

Definition at line 134 of file system.h.

#define SEEK_SET 0

Definition at line 132 of file system.h.

#define setlocale | ( | Category,
|  | Locale |  | ) |

Definition at line 352 of file system.h.

#define setprogname | ( | pn |  | ) |

Value:

    { if ((__progname = strrchr(pn, '/')) != NULL) __progname++; \
        else __progname = pn;               \
      }

Definition at line 331 of file system.h.

#define textdomain | ( | Domain |  | ) |

Definition at line 362 of file system.h.

#define W_OK 2

Definition at line 139 of file system.h.

#define X_OK 1

Definition at line 138 of file system.h.

## Function Documentation

char* alloca | ( |  | ) |

char* getenv | ( | const char * | name | ) |

struct our_mntent* getmntent | ( | FILE * | filep | ) | `[read]`

char* memchr | ( |  | ) |

char* realpath | ( | const char * | path,
|  | char | resolved_path[] |
| ) |  |  |

int setenv | ( | const char * | name,
|  | const char * | value,
|  | int | replace |
| ) |  |  |

char* stpcpy | ( | char * | dest,
|  | const char * | src |
| ) |  |  |

char* stpncpy | ( | char * | dest,
|  | const char * | src,
|  | size_t | n |
| ) |  |  |

void unsetenv | ( | const char * | name | ) |

void* vmefail | ( | size_t | size | ) |

Definition at line 13 of file rpmmalloc.c.

void* xcalloc | ( | size_t | nmemb,
|  | size_t | size |
| ) |  |  |

Definition at line 34 of file rpmmalloc.c.

void* xmalloc | ( | size_t | size | ) |

Definition at line 24 of file rpmmalloc.c.

void* xrealloc | ( | void * | ptr,
|  | size_t | size |
| ) |  |  |

Todo:
  Annotate ptr with returned/out.

Definition at line 45 of file rpmmalloc.c.

char* xstrdup | ( | const char * | str | ) |

Definition at line 55 of file rpmmalloc.c.

## Variable Documentation

int errno

const char* program_name

Definition at line 336 of file system.h.